relaxngcc.automaton

## Class Head

- java.lang.Object
- - relaxngcc.automaton.Head

    public class Head
    extends java.lang.Object

Place holder for the description of HEAD(x).

HEAD(x) is defined for both states and transitions.

Informally, HEAD(t) is a set of all non-reference alphabets that can cause a valid transition by 't'. Similarly, HEAD(s) is a set of all non-reference alphabets that can cause a valid transition from 's'.

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

### Field Summary

Fields
`static java.lang.Object` `EVERYTHING_ELSE` A special alphabet that means "all other alphabets".

### Constructor Summary

Constructors
Constructor and Description
`Head()`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EVERYTHING_ELSE

    public static final java.lang.Object EVERYTHING_ELSE

A special alphabet that means "all other alphabets".

### Constructor Detail

#### Head

    public Head()